def lunar_sum(a, b):
    a_str = str(a)
    b_str = str(b)
    max_len = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_len)
    b_str = b_str.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(max(int(a_str[i]), int(b_str[i])))
    return int(result)


def lunar_multiply(a, b):
    a_str = str(a)
    b_str = str(b)
    result = int(a_str[:-1] + min(a_str[-1], b_str[0]) + b_str[1:])
    return result


if __name__ == "__main__":
    a = int(input())
    b = int(input())
    print(lunar_sum(a, b), lunar_multiply(a, b))
